Returns the specified project.

GEThttps://api.awork.com/api/v1/projects/{projectId}
GET https://api.awork.com/api/v1/projects/{projectId}

Returns the specified project's details and applies the user's visibility rules.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

Responses

200 OK

application/json

namestringRequired
minLength: 0 maxLength: 1000

The name of the Project. Max allowed length: 1000 characters.

isPrivatebooleanOptional

Whether this is a private project only visible to members and the creator. Defaults to false. Can only be changed from public to private if no times have been tracked on this project. Can always be made public.

descriptionstring or nullOptional
minLength: 0 maxLength: 25000

The project description. Max allowed length: 25000 characters.

startDatestring or nullOptional
format: date-time

The start date of the project.

dueDatestring or nullOptional
format: date-time

The due date of the project.

companyIdstring or nullOptional
format: uuid

The id of the company.

timeBudgetinteger or nullOptional
format: int32

The time budget the project has, in seconds.

isBillableByDefaultboolean or nullOptional

Whether project times should be billable by default.

projectTypeIdstring or nullOptional
format: uuid

The id of the project type of this project.

colorstring or nullOptional
minLength: 0 maxLength: 14

The color of the project for display purposes in awork. The supported colors are defined by the awork frontend. Can be null when no color assigned.

deductNonBillableHoursbooleanOptional

Whether to deduct non-billable hours from project budgets.

isProjectKeyVisibleboolean or nullOptional

Whether project key should be visible for this project. If null, it will use the workspace default setting.

projectStatusIdstringOptional
format: uuid

The id of the project status.

projectTemplateIdstring or nullOptional
format: uuid

The id of the template which is used to create the project.

publicProjectTemplateIdstring or nullOptional
format: uuid

The id of the public template which is used to create the project.

workflowIdstring or nullOptional
format: uuid

The id of the workflow to link to the project. Cannot be specified if ProjectTemplateId is set.

idstringOptional
format: uuid

Id of the project.

projectKeystring or nullOptional

The unique project key within the workspace (e.g., "NIKE"). Maximum 32 characters, uppercase letters, numbers, and dashes only.

hasImagebooleanOptional

Whether the project has an image.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

closedOnstring or nullOptional
format: date-time

The date the project was set to closed.

closedBystring or nullOptional
format: uuid

The user who closed the project.

createdByProjectTemplateIdstring or nullOptional
format: uuid

The id of the template the project was created from.

projectTypeobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

iconstring or nullOptional

The icon of the type.

isArchivedbooleanOptional

Whether the type is archived.

projectStatusobjectOptional
Show 7 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

descriptionstring or nullOptional

The description of the type.

typestring or nullOptional

The type of the status.

isArchivedbooleanOptional

Whether the type is archived.

typeOrderintegerOptional
format: int32

The order of the status type.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

companyobjectOptional
Show 5 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

hasImagebooleanOptional

Whether the company has a profile image.

descriptionstring or nullOptional

The description of the company.

tagsarray of object or nullOptional

The tags of the company.

Show 4 properties
idstringOptional
format: uuid

The Id of the tag.

namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

entityIdstringOptional
format: uuid

The id of the entity the tag is related to.

tagsarray of object or nullOptional

The tags for this project.

Show 3 properties
idstringOptional
format: uuid
namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

plannedDurationinteger or nullOptionalDeprecated
format: int64

The total planned time of the project, in seconds. The time is calculated as te sum of the planned duration by all project tasks.

totalPlannedDurationWithHierarchyinteger or nullOptional
format: int64

The total planned duration of the project with hierarchy, in seconds. Calculated based on the planned durations of tasks and task lists of the project. Sum of Sum(TotalPlannedDurationWithHierarchy of all task lists) and Sum(TotalPlannedDurationWithHierarchy of all parent tasks without list)

tasksCountinteger or nullOptional
format: int32

The number of all tasks related to the project.

tasksDoneCountinteger or nullOptional
format: int32

The number of all tasks in status 'done' related to the project.

membersarray of object or nullOptional

The members of this project.

Show 10 properties
idstringOptional
format: uuid

The id of the project member entity.

userIdstringOptional
format: uuid

The id of the user who is this project member.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The project role of the project member.

projectRoleNamestring or nullOptional

The project role name of the project member.

isResponsiblebooleanOptional

Whether the user is responsible for this project.

isDeactivatedbooleanOptional

Whether the user is deactivated.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

trackedDurationinteger or nullOptional
format: int32

The summed up duration of all time trackings for this project.

customFieldsarray of object or nullOptional

Custom fields of the project.

Show 9 properties
customFieldDefinitionIdstringOptional
format: uuid

The custom field definition id.

userIdValuestring or nullOptional
format: uuid

The the user id value.

clientIdValuestring or nullOptional
format: uuid

The client id value.

numberValuenumber or nullOptional
format: double

The number value.

selectionOptionIdValuestring or nullOptional
format: uuid

The selection option id value.

selectionOptionobjectOptional
Show 4 properties
idstringOptional
format: uuid

The id of the custom field selection option.

valuestringRequired
minLength: 1

The selection value which can be later used in a select custom field.

colorstring or nullOptional

Allowed: "red" "orange" "yellow" "green" "cyan" "blue" "indigo" "purple" "steel"

The color of the selection option.

ordernumberOptional
format: double

The order of the custom field selection option.

textValuestring or nullOptional

The text value.

dateValuestring or nullOptional
format: date-time

The date value.

booleanValueboolean or nullOptional

The boolean value.

resourceVersionintegerOptional
format: int64

The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.

teamsarray of object or nullOptional

The teams the project is associated to.

Show 4 properties
idstringOptional
format: uuid

The id of the team.

namestring or nullOptional

The name of the team.

iconstring or nullOptional

The icon which is assigned to the team.

colorstring or nullOptional

The color of the team.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

isRetainerbooleanOptional

Whether the project is a retainer project. Retainer projects have at least one retainer with budgets.

isMultiAssignmentAllowedbooleanOptional

Indicates whether multi-assignment is allowed for tasks in this project's workspace.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation